diff --git a/app/Tygh/Api/Entities/Orders.php b/app/Tygh/Api/Entities/Orders.php
index 0e7d8f1bda9..dc4cbdedace 100644
--- a/app/Tygh/Api/Entities/Orders.php
+++ b/app/Tygh/Api/Entities/Orders.php
@@ -184,7 +184,7 @@ public function create($params)
             $cart['payment_id'] = $params['payment_id'];
             $cart['storefront_id'] = StorefrontProvider::getStorefront()->storefront_id;
 
-            $customer_auth = fn_fill_auth($cart['user_data']);
+            $customer_auth = fn_fill_auth($cart['user_data'], [], false, 'C');
 
             fn_add_product_to_cart($params['products'], $cart, $customer_auth);
 
diff --git a/app/functions/fn.products.php b/app/functions/fn.products.php
index 06c96ae6582..e331ad8273a 100644
--- a/app/functions/fn.products.php
+++ b/app/functions/fn.products.php
@@ -468,7 +468,12 @@ function fn_get_product_price($product_id, $amount, &$auth)
      */
     fn_set_hook('get_product_price_pre', $product_id, $amount, $auth);
 
-    $usergroup_condition = db_quote("AND ?:product_prices.usergroup_id IN (?n)", ((AREA == 'C' || defined('ORDER_MANAGEMENT')) ? array_merge(array(USERGROUP_ALL), $auth['usergroup_ids']) : USERGROUP_ALL));
+    $usergroup_condition = db_quote(
+        'AND ?:product_prices.usergroup_id IN (?n)',
+        (SiteArea::isStorefront(AREA) || defined('ORDER_MANAGEMENT') || defined('API'))
+            ? array_merge([USERGROUP_ALL], $auth['usergroup_ids'])
+            : USERGROUP_ALL
+    );
 
     $price = db_get_field(
         "SELECT MIN(IF(?:product_prices.percentage_discount = 0, ?:product_prices.price, "
